Форум программистов, компьютерный форум, киберфорум
Наши страницы

Программирование Android

Войти
Регистрация
Восстановить пароль
 
Рейтинг: Рейтинг темы: голосов - 26, средняя оценка - 4.92
Seroga7
6 / 6 / 1
Регистрация: 08.12.2012
Сообщений: 147
#1

Ошибки в IDEA Android и Studio - Программирование Android

01.10.2014, 21:45. Просмотров 3641. Ответов 4
Метки нет (Все метки)

Начал обучаться андроиду, и начались проблемы с IDE. Помогите искоренить любую из них.
Эмулятор - Genimotion.

1) Intellage IDEA 13.1.5
При попытке скомпилировать выдает ошибку:

WARNING: linker: libdvm.so has text relocations. This is wasting memory and is a security risk. Please fix.
pkg: /data/local/tmp/com.serj.myapplication4.app
Failure [INSTALL_FAILED_OLDER_SDK]


2) Android Studio
Не хочет отображать текстовые поля (Text fields) на Preview-экране в среде разработки.
И еще выдает периодически ошибку:
Rendering Problems Exception raised during rendering: java.lang.System.arraycopy([CI[CII)V

Хочу кодить удобно, по этому от Eclips отказался, а тут такая печаль
0
Надоела реклама? Зарегистрируйтесь и она исчезнет полностью.
Similar
Эксперт
41792 / 34177 / 6122
Регистрация: 12.04.2006
Сообщений: 57,940
01.10.2014, 21:45
Здравствуйте! Я подобрал для вас темы с ответами на вопрос Ошибки в IDEA Android и Studio (Программирование Android):

Ошибки при запуске Android Studio - Программирование Android
Ещё не написано ни одной строчки кода, а Android Studio выдаёт ошибки: после закачки и доустановки недостающих и устаревших частей пакета...

Все пропало! (ошибки в Ecvlips и Android Studio) - Программирование Android
Доброго времени. Случилась у меня непонятная херня. перестали работать Eclipse и Android Studio. в Eclipse при импорте проекта и даже...

Ошибки после импортирования проекта в Android Studio - Программирование Android
Импортировал проект в Android Studio. Выдает такие ошибки: Error: Found item String/shared_string_or more than one time Error:Execution...

Как исправить ошибки после запуска в Android studio - Программирование Android
Вот картинка помогите пожалуйста! http://www.cyberforum.ru/attachment.php?attachmentid=494944&stc=1&d=1425123834

Как избавиться от ошибки, возникшей в Android Studio (подробности внутри)? - Программирование Android
Как решить эту проблему? Rendering Problems: Failed to load the LayoutLib: com/android/layoutlib/bridge/Bridge : Unsupported...

Android studio, как запускать программу сразу на android смартфоне подключенному к usb? - Программирование Android
android studio, как запускать программу сразу на android смартфоне подключенному к usb?

4
CoolMind
419 / 402 / 65
Регистрация: 06.10.2012
Сообщений: 1,727
01.10.2014, 22:09 #2
Seroga7, знакомые ошибки.
По второму, если не путаю, дело такое. Вы при помощи ADT скачали последнюю, 20-ую версию Android SDK (4.4W). Лучше деинсталлировать её или в настройках Project structure переключить на 19 (можете поменять также в build.gradle). 20-ая версия с ошибками работает с TextView.
По первому, скорее всего, какая-то библиотека старая. У меня примерно такие сообщения выдавались во время выполнения, когда подключал устаревшую библиотеку Яндекс-карт, но при этом работало.
Вообще, самый хороший способ поиска решений по ошибкам - скопировать и вставить в google.ru. Обычно первый десяток ссылок даёт ответ (как правило, stackoverflow).
http://stackoverflow.com/questions/2...android-studio

Добавлено через 9 минут
Кстати, найдите-ка эти файлы build.gradle. Слева вы увидите список файлов, найдите там папку app, в ней увидите файл build.gradle. Тот, который уровнем выше (из папки проекта), не надо. Выложите их сюда.
1
Seroga7
6 / 6 / 1
Регистрация: 08.12.2012
Сообщений: 147
01.10.2014, 22:47  [ТС] #3
Код build.gradle из IDEA:
Кликните здесь для просмотра всего текста

buildscript {
repositories {
jcenter()
}
dependencies {
classpath 'com.android.tools.build:gradle:0.12.2'
}
}
apply plugin: 'com.android.application'

repositories {
jcenter()
}

android {
compileSdkVersion 19
buildToolsVersion "20.0.0"

defaultConfig {
applicationId "com.serj.myapplication6.app"
minSdkVersion 9
targetSdkVersion 19
versionCode 1
versionName "1.0"
}
buildTypes {
release {
runProguard false
proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
}
}
}

dependencies {
compile fileTree(dir: 'libs', include: ['*.jar'])
compile 'com.android.support:appcompat-v7:20.0.0'
}

Код build.gradle из Android Studio:
Кликните здесь для просмотра всего текста

apply plugin: 'com.android.application'

android {
compileSdkVersion 20
buildToolsVersion "20.0.0"

defaultConfig {
applicationId "com.serj.myapplication"
minSdkVersion 8
targetSdkVersion 20
versionCode 1
versionName "1.0"
}
buildTypes {
release {
runProguard false
proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
}
}
}

dependencies {
compile fileTree(dir: 'libs', include: ['*.jar'])
compile 'com.android.support:appcompat-v7:20.0.0'
}


Это причем после удаления 20-х API. Ошибка рендеринга в обоих IDE одинаковая.
Первая ошибка вроде пропала.

А stackoverflow.com мне не сильно помогал, я с него и начал, именно его и выдавал в основном google
0
Spelcrawler
527 / 497 / 111
Регистрация: 12.03.2014
Сообщений: 1,654
Завершенные тесты: 1
02.10.2014, 09:32 #4
Цитата Сообщение от CoolMind Посмотреть сообщение
20-ая версия с ошибками работает с TextView
Не 20, а 20w и не с TextView, а с EditText. Т.к. это для часов сдк, а там поля ввода никчему. Не ставьте себе сдк с постфиксом "w", если конечно под часы не пишете)

Добавлено через 3 минуты
То есть нет, сдк один и на часы и нет. Но в редакторе лейаутов справа от значка языка (глобус) можно выбрать чем рендерить. Выберите версию 20, вместо 20w.

Добавлено через 45 минут
Все таки разные сдк) 19 - 4.4 для телефонов и планшетов, 20 - 4.4 для часов.
2
CoolMind
419 / 402 / 65
Регистрация: 06.10.2012
Сообщений: 1,727
02.10.2014, 10:56 #5
Seroga7, попробуйте заменить соответствующие строчки, например, на такие:
Java
1
2
    compileSdkVersion 19
    buildToolsVersion '19.1.0'
0
02.10.2014, 10:56
MoreAnswers
Эксперт
37091 / 29110 / 5898
Регистрация: 17.06.2006
Сообщений: 43,301
02.10.2014, 10:56
Привет! Вот еще темы с ответами:

Android.support.v4.app.FragmentActivity не работает в Android Studio - Программирование Android
объясните пожалуйста,как в андроид студио добавить вышеуказанную библиотеку,чтобы работало у меня вот это Активити package...

Error while installing apk android IDEA - Программирование Android
просто нет слов, только решаешь одну проблему всплывают еще шесть. Вообщем, переустановил IDEA, поставил все сдк заново, разобрался с...

Выбор мощного android смартфона до 10 рублей, для тестирования проектов Android Studio, что посоветуете? - Программирование Android
Какую фирму посоветуете?

Запуск игры mr.Nom через Android Studio (по книге марио цехнер программирование игр под android) - Программирование Android
Привет всем! Для тех кто читал книгу - в конце 6ой главы мы закончили писать код игры. В книге написано что - игра готова. Но в самих...


Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
5
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2017, vBulletin Solutions, Inc.
Рейтинг@Mail.ru